%define name unzip_crypt
%define version 5.12
%define release 1mdk

Summary: unpacks .zip files such as those made by pkzip under DOS
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: OpenSource
Group: Archiving/Compression
Source0: ftp.uu.net:/pub/archiving/zip/unzip512.tar.bz2
Source1: ftp.switch.ch:/mirror/Info-Zip/zcrypt24.zip
Patch: unzip512-fsstnd.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot/
BuildRequires: unzip
Prefix: %{_prefix}

%description
unzip will list, test, or extract files from a ZIP archive, commonly
found on MS-DOS systems.  A companion program, zip, creates ZIP
archives; both programs are compatible with archives created by
PKWARE's PKZIP and PKUNZIP for MS-DOS, but in many cases the program
options or default behaviors differ.

This version support crypto encryption


%prep 
%setup -n unzip-5.12
unzip -o %{SOURCE1}
%patch -p1

%build
make linux

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}/{bin,man/man1}
make install prefix=$RPM_BUILD_ROOT/%{prefix}

(cd $RPM_BUILD_ROOT/%{prefix}/bin
for i in *;do
cp -a $i $i.crypto
done
cd $RPM_BUILD_ROOT/%{prefix}/man/man1
for i in *;do
cp -a $i $(echo $i|sed 's/\.1//').crypto.1
done
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*.crypto
/usr/man/man1/*.crypto.1*

%changelog
* Tue May  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.12-1mdk
- First version.
